package com.sqx.modules.pay.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付状态
 *
 * @author : codingliang
 * @date : 2024-11-06 10:19
 */
@Getter
@AllArgsConstructor
public enum PayStateEnums {
    // 0待支付 1支付成功 2失败
    WAIT_PAY(0, "等待支付"),
    PAY_SUCCESS(1, "支付成功"),
    PAY_FAIL(2, "支付失败");

    private int stateCode;
    private String stateDesc;
}
